View Issue Details

IDProjectCategoryView StatusLast Update
0001686unrealircdpublic2004-10-03 17:32
ReporterJasonTikAssigned Tocodemastr 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.2 
Summary0001686: Aliases that message to a channel
DescriptionI think that it should be possible to make aliases that message to a channel rather than a service or person.

Why?
/spamreport types of commands
Additional InformationIn my opinion it would be best to have the ability to use aliases, rather than just adding a static command to the ircd
TagsNo tags attached.
3rd party modules

Activities

codemastr

2004-03-28 17:11

reporter   ~0005633

Anyone have any opinions on this?

w00t

2004-03-28 18:41

reporter   ~0005639

Im not quite sure I understand... :\ can someone "throw me a fricken bone here"?

The only thing I can think of is modules??

syzop

2004-03-28 21:56

administrator   ~0005656

codemastr: yeah idea looks ok. Just a small note, I think it would be wise to check for channelmode +n and for any bans [in other words, use can_send()].

Why check for +n? Well.. why would you want +n ("no external messages") set if the channel needs to receive just that.. external messages...
That way ops also have the possibility to temporary shut down the '/cmd blabla' thingy without having to place the chan +m/+M/+b *!*@*/..

codemastr

2004-03-28 22:34

reporter   ~0005659

Indeed, otherwise it'd provide a nice method to spam/flood without anyone being able to stop you :)

set flood bots to /spamreport jksdhdfsjhdsa

Then +b is useless ;)

JasonTik

2004-04-02 16:56

reporter   ~0005715

I think that it should obey mode +n and mode +b

diskman1

2004-04-03 06:10

reporter   ~0005718

hmm shold be a nice module but for the official unreal package.... no ;)

JasonTik

2004-04-03 09:06

reporter   ~0005721

Why not?
You dont have to make the config blocks if you dont want to.

Is there already a module?

Stealth

2004-09-21 23:32

reporter   ~0007755

This would definatly be a great feature for spam report channels, mand maybe it can have some other uses. It should obey +b at least to prevent flooding, but I am not to sure about +n.

JasonTik

2004-09-21 23:33

reporter   ~0007756

It should obey +n so that channel owners can say that they dont want any of it. A new mode would do just as well, but i think thats overkill

al5001

2004-09-22 02:01

reporter   ~0007757

Well, I believe there should be no exception to +n. If you want people to be able to report spam to a channel, why not use -n and have people /msg the channel? If there's a flood, use +b on the host, or use +m/+n during floods... remember now, users can't talk while banned on channel :P.

aquanight

2004-09-22 03:43

reporter   ~0007761

Definately obey channel modes...

Question is, what kind of error message will we say if the message cannot be delivered? "No such channel" "Cannot send to channel (No external messages)" "Cannot send to channel (you need a voice)" or "Cannot send to channel (you are banned)" may be confusing to a user... So:

Channel is empty: No error returned? Or our usual "Services are currently down" which may be confusing? Or maybe just a numeric saying no one received the message?
Channel is +n or +m: I think UnrealIRCd has some "command is disabled" numerics we could use here...
User fails BANCHK_MSG checks (ie matches a +b but not +e - don't forget ~q!): No error? Command disabled? Permission denied? I dunno.

I just think it wouldn't make sense to reference a channel in the error messages... as users may not know the command /spamreport associates with #SpamReports... especially if that channel is +Os so that only ircops see the spam reports. As such, we may need to create new numerics, or a generic error numeric (like we have 304:RPL_TEXT).

Stealth

2004-09-22 03:49

reporter   ~0007762

I think a general numeric that just says "Cannot send: A negative list affects you". This will be a good idea if some admins want to keep these channel names secret.

codemastr

2004-09-22 14:08

reporter   ~0007764

ERR_CANNOTDOCOMMAND sounds most logical.

codemastr

2004-10-03 17:32

reporter   ~0007866

Added in .145

Issue History

Date Modified Username Field Change
2004-03-28 16:49 JasonTik New Issue
2004-03-28 17:11 codemastr Note Added: 0005633
2004-03-28 18:41 w00t Note Added: 0005639
2004-03-28 21:56 syzop Note Added: 0005656
2004-03-28 22:34 codemastr Note Added: 0005659
2004-04-02 16:56 JasonTik Note Added: 0005715
2004-04-03 06:10 diskman1 Note Added: 0005718
2004-04-03 09:06 JasonTik Note Added: 0005721
2004-09-21 23:32 Stealth Note Added: 0007755
2004-09-21 23:33 JasonTik Note Added: 0007756
2004-09-22 02:01 al5001 Note Added: 0007757
2004-09-22 03:43 aquanight Note Added: 0007761
2004-09-22 03:49 Stealth Note Added: 0007762
2004-09-22 14:08 codemastr Note Added: 0007764
2004-09-25 19:48 codemastr Status new => assigned
2004-09-25 19:48 codemastr Assigned To => codemastr
2004-10-03 17:32 codemastr Status assigned => resolved
2004-10-03 17:32 codemastr Fixed in Version => 3.2.2
2004-10-03 17:32 codemastr Resolution open => fixed
2004-10-03 17:32 codemastr Note Added: 0007866